#include "StdAfx.h"
#include "ObjectContainer.h"

CObjectContainer::CObjectContainer(void)
{
}

CObjectContainer::~CObjectContainer(void)
{
	for (vector<ObjectBase *>::iterator it = _objectList.begin (); it != _objectList.end (); ++it) {
		delete *it;
	}
}

void CObjectContainer::Push ()
{
	ObjectBase *object = new ObjectBase (TRANSFORM_PUSH, "", 0x000000, 0, 0, 0, 0, 0, 0);
	_objectList.push_back (object);
}

void CObjectContainer::Pop ()
{
	ObjectBase *object = new ObjectBase (TRANSFORM_POP, "", 0x000000, 0, 0, 0, 0, 0, 0);
	_objectList.push_back (object);
}

void CObjectContainer::AddObject (ObjectBase *object)
{
	_objectList.push_back (object);
}

ObjectBase *CObjectContainer::FindObject (const char *name)
{
	for (vector<ObjectBase *>::iterator it = _objectList.begin (); it != _objectList.end (); ++it) {
		if ((*it)->_name == name) return (*it);
	}
	return NULL;
}

