#pragma once

#include "Objects.h"
#include <vector>

using namespace std;


class CObjectContainer
{
public:
	CObjectContainer(void);
	~CObjectContainer(void);

	vector<ObjectBase *> &GetObjectList () { return _objectList; }	

	void Push ();
	void Pop ();
	void AddObject (ObjectBase *object);
	ObjectBase *FindObject (const char *name);

private:
	vector<ObjectBase *> _objectList;
};
