
// TaskPriorityDlg.h : header file
//

#pragma once

class CPosOriInverse;
class CObjectContainer;
class COglWndCustom;
class CMultiTasks;

// CTaskPriorityDlg dialog
class CTaskPriorityDlg : public CDialog
{
// Construction
public:
	CTaskPriorityDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_TASKPRIORITY_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


private:
	CObjectContainer *_objs;
	COglWndCustom *_view;
	CPosOriInverse *_inv1;
	CPosOriInverse *_inv2;
	CMultiTasks *_tasks;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
};
